
package de.ivu.elect.presentation.gebietsbaum;

import javax.inject.Named;

import org.apache.deltaspike.core.api.scope.ViewAccessScoped;

import de.ivu.elect.business.gebietsbaum.boundary.GebietsartSearchParameters;
import de.ivu.elect.business.gebietsbaum.entity.Gebietsart;
import de.ivu.elect.business.security.UseCasePermission;
import de.ivu.elect.jee.presentation.dynamicform.FormBuilder;
import de.ivu.elect.presentation.View;
import de.ivu.elect.presentation.hilfe.OnlineHilfeId;
import de.ivu.elect.presentation.security.AbstractGebietSecurityFilter;

/**
 *  on 24.06.2015.
 */
@ViewAccessScoped
@OnlineHilfeId("102")
@Named(AbstractGebietsartSearchView.COMPONENT_NAME)
@View(viewId = AbstractGebietsartSearchView.VIEW_ID, useCase = UseCasePermission.GEBIETSART_SEARCH)
public class GebietsartSearchView extends AbstractGebietsartSearchView {

  @Override
  protected AbstractGebietSecurityFilter<Gebietsart> getGebietSecurityFilter() {
    return KEIN_GEBIET_SECURITY_FILTER;
  }

  @Override
  public void presetSearchParameters() {
    // nichts zu tun
  }

  @Override
  public GebietsartSearchParameters getSearchParameters() {
    GebietsartSearchParameters searchParameters = super.getSearchParameters();
    searchParameters.setMandant(getMandant());
    return searchParameters;
  }

  @Override
  public void addProperties(FormBuilder formBuilder) {
    // nichts zu tun
  }
}
